Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.storage
Class HeaderBlockReader

    java.lang.Object
      org.apache.poi.poifs.storage.HeaderBlockReader

All Implemented Interfaces:
  HeaderBlockConstants

public class HeaderBlockReader
extends java.lang.Object
implements HeaderBlockConstants

The block containing the archive header

Author:
  Marc Johnson (mjohnson at apache dot org)

Field Summary

Fields inherited from interface org.apache.poi.poifs.storage.HeaderBlockConstants
`_bat_array_offset, _bat_count_offset, _max_bats_in_header, _property_start_offset, _sbat_block_count_offset, _sbat_start_offset, _signature, _signature_offset, _xbat_count_offset, _xbat_start_offset`

Constructor Summary
`HeaderBlockReader(java.io.InputStream stream)` create a new HeaderBlockReader from an InputStream

Method Summary
`int[]` | `getBATArray()`
`int` | `getBATCount()`
`int` | `getPropertyStart()` get start of Property Table
`int` | `getSBATStart()`
`int` | `getXBATCount()`
`int` | `getXBATIndex()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderBlockReader

    public HeaderBlockReader(java.io.InputStream stream)
                      throws java.io.IOException

  create a new HeaderBlockReader from an InputStream

Parameters:
  `stream` - the source InputStream
Throws:
  `java.io.IOException` - on errors or bad data

Method Detail

### getPropertyStart

    public int getPropertyStart()

  get start of Property Table

  Returns:
    the index of the first block of the Property Table

### getSBATStart

    public int getSBATStart()

  Returns:
    start of small block allocation table

### getBATCount

    public int getBATCount()

  Returns:
    number of BAT blocks

### getBATArray

    public int[] getBATArray()

  Returns:
    BAT array

### getXBATCount

    public int getXBATCount()

  Returns:
    XBAT count

### getXBATIndex

    public int getXBATIndex()

  Returns:
    XBAT index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.